umbrello: umbrello/basictypes.cpp File Reference

umbrello 2.38.5 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Functions | Variables
basictypes.cpp File Reference
`#include "basictypes.h"`
`#include "debug_utils.h"`
`#include <KLocalizedString>`
`#include <QFontDatabase>`
`#include <QRegExp>`

## Namespaces
namespace | Uml
namespace | Uml::ModelType
namespace | Uml::Visibility
namespace | Uml::DiagramType
namespace | Uml::AssociationType
namespace | Uml::LayoutType
namespace | Uml::SignatureType
namespace | Uml::TextRole
namespace | Uml::Changeability
namespace | Uml::SequenceMessage
namespace | Uml::RoleType
namespace | Uml::ParameterDirection
namespace | Uml::PrimitiveTypes
namespace | Uml::ProgrammingLanguage
namespace | Uml::Region
namespace | Uml::ID

## Functions
QString | Uml::ModelType::toString (Enum item)
Enum | Uml::ModelType::fromString (const QString &item)
Enum | Uml::ModelType::fromInt (int item)
QString | Uml::Visibility::toString (Enum item, bool mnemonic)
Enum | Uml::Visibility::fromString (const QString &item, bool checkUnknown)
Enum | Uml::Visibility::fromInt (int item)
QString | Uml::DiagramType::toString (Enum item)
QString | Uml::DiagramType::toStringI18n (Enum item)
Enum | Uml::DiagramType::fromString (const QString &item)
Enum | Uml::DiagramType::fromInt (int item)
QString | Uml::AssociationType::toString (Enum item)
QString | Uml::AssociationType::toStringI18n (Enum item)
Enum | Uml::AssociationType::fromString (const QString &item)
Enum | Uml::AssociationType::fromInt (int item)
bool | Uml::AssociationType::hasUMLRepresentation (Enum item)
QString | Uml::LayoutType::toString (Enum item)
Enum | Uml::LayoutType::fromString (const QString &item)
Enum | Uml::LayoutType::fromInt (int item)
QString | Uml::SignatureType::toString (Enum item)
Enum | Uml::SignatureType::fromString (const QString &item)
Enum | Uml::SignatureType::fromInt (int item)
QString | Uml::TextRole::toString (Enum item)
Enum | Uml::TextRole::fromString (const QString &item)
Enum | Uml::TextRole::fromInt (int item)
QString | Uml::Changeability::toString (Enum item)
Enum | Uml::Changeability::fromString (const QString &item)
Enum | Uml::Changeability::fromInt (int item)
QString | Uml::SequenceMessage::toString (Enum item)
Enum | Uml::SequenceMessage::fromString (const QString &item)
Enum | Uml::SequenceMessage::fromInt (int item)
QString | Uml::RoleType::toString (Enum item)
Enum | Uml::RoleType::fromString (const QString &item)
Enum | Uml::RoleType::fromInt (int item)
QString | Uml::ParameterDirection::toString (Enum item)
Enum | Uml::ParameterDirection::fromString (const QString &item)
Enum | Uml::ParameterDirection::fromInt (int item)
QString | Uml::PrimitiveTypes::toString (Enum item)
QString | Uml::PrimitiveTypes::toString (int item)
Enum | Uml::PrimitiveTypes::fromString (const QString &item, bool strict)
Enum | Uml::PrimitiveTypes::fromInt (int item)
QString | Uml::ProgrammingLanguage::toString (Enum item)
Enum | Uml::ProgrammingLanguage::fromString (const QString &item)
Enum | Uml::ProgrammingLanguage::fromInt (int item)
QStringList | Uml::ProgrammingLanguage::toExtensions (Enum item)
QString | Uml::ProgrammingLanguage::toExtensionsDescription (Enum item)
bool | Uml::ProgrammingLanguage::isCaseSensitive (Enum item)
QString | Uml::ProgrammingLanguage::scopeSeparator (Enum item)
QString | Uml::Region::toString (Enum item)
Enum | Uml::Region::fromString (const QString &item)
Enum | Uml::Region::fromInt (int item)
QDebug | Uml::ID::operator<< (QDebug out, ID::Type &type)
QString | Uml::ID::toString (const ID::Type &id)
ID::Type | Uml::ID::fromString (const QString &id)
QFont | Uml::systemFont ()
qreal | toDoubleFromAnyLocale (const QString &s)

## Variables
const char * | Uml::PrimitiveTypes::strings []

## Function Documentation

## ◆ toDoubleFromAnyLocale()

qreal toDoubleFromAnyLocale | ( | const QString & | s | ) |

Convert floating point number string with '.' or ',' as decimal point to qreal.

Parameters

  s | floating point number string

Returns
  floating point number

Note
  See https://bugs.kde.org/show_bug.cgi?id=357373 for more informations.